﻿using System;
using System.ComponentModel;
using System.Configuration;
using System.IO;
using ff14bot.Helpers;
using Newtonsoft.Json;

// ReSharper disable InconsistentNaming

namespace Stuck
{
    public class Settings : JsonSettings
    {
        [JsonIgnore]
        private static Settings _instance;
        // ReSharper disable once UnusedParameter.Local
        // ReSharper disable once MemberCanBePrivate.Global
        public Settings(string filename)
            : base(Path.Combine(CharacterSettingsDirectory, "stuck.json"))
        {
        }

        public static Settings Instance
        {
            get { return _instance ?? (_instance = new Settings("Settings")); }
        }

        #region Stucksettings

        [Setting]
       
        public  bool StopBot { get; set; }


        [Setting]
     
        public bool FailedTeleport { get; set; }

        [Setting]
        public int resetcounter { get; set; }

        [Setting]
         public int Loop { get; set; }
        
        
        #endregion

        
    }
}